Skip to main content
PUT
/
api
/
Reminder
/
Completed
/
{id}
Complete Reminder
curl --request PUT \
  --url https://api.virtuoussoftware.com/api/Reminder/Completed/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "noteTypeName": "<string>",
  "note": "<string>",
  "timeSpent": "<integer>",
  "isImportant": "<boolean>",
  "isPrivate": "<boolean>"
}
'
{
  "id": "<integer>",
  "message": "<string>",
  "targetDate": "<string>",
  "targetResolutionDateUtc": "<dateTime>",
  "contactId": "<integer>",
  "contactViewUrl": "<string>",
  "contactDisplayName": "<string>",
  "contactAvatarUrl": "<string>",
  "reminderType": "<string>",
  "reminderTypeDisplayName": "<string>",
  "taskStatus": "<string>",
  "taskStatusDisplayName": "<string>",
  "completeUrl": "<string>",
  "dismissUrl": "<string>",
  "description": "<string>",
  "hasContact": "<boolean>",
  "isPastDue": "<boolean>",
  "isUnresolved": "<boolean>",
  "canComplete": "<boolean>",
  "completeActionName": "<string>",
  "canCompleteWithNote": "<boolean>",
  "owner": "<string>",
  "ownerAvatarUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

(Required) The reminder identifier.

Body

application/json
noteTypeName
string
note
string
timeSpent
string
isImportant
string
isPrivate
string

Response

OK

id
string
message
string
targetDate
string
targetResolutionDateUtc
string
contactId
string
contactViewUrl
string
contactDisplayName
string
contactAvatarUrl
string
reminderType
string
reminderTypeDisplayName
string
taskStatus
string
taskStatusDisplayName
string
completeUrl
string
dismissUrl
string
description
string
hasContact
string
isPastDue
string
isUnresolved
string
canComplete
string
completeActionName
string
canCompleteWithNote
string
owner
string
ownerAvatarUrl
string
Last modified on June 5, 2026